Skip to content

Set Active Network Policies.

POST
/api/config/namespaces/{namespace}/active_network_policies
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/active_network_policies \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "namespace": "example", "network_policies": [ { "name": "example", "namespace": "example" } ] }'

SetActiveNetworkPolicies sets the active network policies for the namespace An emtpy list in the request will clear the active network policies for the namespace.

Examples of this operation.

namespace
required
string

Namespace The name of the namespace.

Media typeapplication/json
SetActiveNetworkPoliciesRequest

SetActiveNetworkPoliciesRequest is the shape of the request for SetActiveNetworkPolicies.

object
namespace
namespace

The name of the namespace.

string
>= 6 characters <= 1024 characters
network_policies
network_policies

A list of references to network_policy objects.

Array<object>
<= 32 items
ObjectRefType

This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.

object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
Examplegenerated
{
"namespace": "example",
"network_policies": [
{
"name": "example",
"namespace": "example"
}
]
}

A successful response.

Media typeapplication/json
SetActiveNetworkPoliciesResponse

SetActiveNetworkPoliciesResponse is the shape of the response for SetActiveNetworkPolicies.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example